// out: ../style.min.css, sourcemap: true, compress: true

// import the app colors
@import "../../../../../style/less/variables/colors.less";

.footer {
  display: grid;
  grid-template-columns: 1fr auto;
  grid-template-rows: auto auto;
  grid-template-areas:
    "links links"
    "copy logo";
  grid-column-gap: 1rem;
  grid-row-gap: 2rem;
  align-content: center;

  padding: 1.4rem 1rem;

  font-size: 1.5rem;
  border-top: 1px solid @lightBlue;

  .links {
    grid-area: links;
    display: grid;
    grid-template-columns: 1fr;
    grid-row-gap: 2rem;

    padding: 0;

    @media screen {
      @media (min-width: 700px) {
        grid-template-columns: 1fr 1.5fr 1fr;
        grid-column-gap: 5rem;
        padding: 0 3rem;
      }
    }

    a {
      text-decoration: none;
    }

    .title {
      padding-bottom: 1rem;

      font-size: 2rem;
    }

    .connection {
      .title {
        padding-bottom: 0rem;
      }

      .subtitle {
        padding-bottom: 0.5rem;
        
        color: @mainBlue;
      }

      .social {
        display: grid;
        grid-template-columns: auto auto 1fr;
        grid-gap: 1rem;
      }
    }

    .navigate .pages {
      display: grid;
      grid-template-columns: 1fr 1fr;
      grid-gap: 1rem;

      a {
        text-decoration: none;
        color: @black;

        &:hover {
          text-decoration: underline;
          color: @mainBlue;
        }
      }
    }
  }

  .copy {
    grid-area: copy;
    display: grid;
    grid-template-columns: auto auto auto auto auto auto auto auto;
    grid-gap: 0.5rem;
    align-content: center;
    justify-content: left;

    a {
      text-decoration: none;
      color: @black;
    }
  }

  .logo {
    grid-area: logo;
    justify-self: right;
    width: 3rem;
    height: 3rem;

    background-image: url("../../../../../images/meerchat.svg");
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
  }
}
